      SUBROUTINE LAMPFI(ALE,CHC,CINLIN)                                 00050 
      LOGICAL*2 ALE                                                     00054 
      INTEGER*2 CHC,CINLIN                                              00055 
      LOGICAL*2 ALECS,LSTFUL                                            00059 
      INTEGER*2 TYPIN,TYPLST,TYPOUT,CHCMNT                              00060 
      COMMON/MACVAL/ALECS,TYPIN,TYPLST,TYPOUT,CHCMNT,LSTFUL             00061 
      INTEGER*2 IDATA(16),ALENAM,DOTS                                   00065 
      LOGICAL*2 ISALE                                                   00066 
      DATA ALENAM/3RALE/                                                00068 
      DATA DOTS/3R.../                                                  00069 
      CALL GETTSK(IDATA)                                                00072 
      IF(.NOT.(IDATA(1).EQ.DOTS)) GO TO 32757                           00077 
      ISALE=IDATA(2).EQ.ALENAM                                          00077 
      GO TO 32758                                                       00077 
32757 ISALE=IDATA(1).EQ.ALENAM                                          00078 
32758 IF(.NOT.(ISALE)) GO TO 32755                                      00080 
      CHCMNT="73                !COMMENT CHARACTER=; (SEE NOTE 1)       00084 
      CINLIN="73        !IN-LINE COMMENT CHARACTER=;                    00085 
      CALL IRAD50(3,3HALX,TYPIN)        !INPUT FILE EXTENSION           00086 
      CALL IRAD50(3,3HALL,TYPLST)       !LIST FILE EXTENSION            00087 
      CALL IRAD50(3,3HMAC,TYPOUT)       !OUTPUT FILE EXTENSION          00088 
      ALECS=.TRUE.                                                      00089 
      GO TO 32756                                                       00090 
32755 CHCMNT="103               !COMMENT CHARACTER=C (SEE NOTE 1)       00095 
      CINLIN="41        !IN-LINE COMMENT CHARACTER=!                    00096 
      CALL IRAD50(3,3HFLX,TYPIN)        !INPUT FILE EXTENSION           00097 
      CALL IRAD50(3,3HFLL,TYPLST)       !LIST FILE EXTENSION            00098 
      CALL IRAD50(3,3HFTN,TYPOUT)       !OUTPUT FILE EXTENSION          00099 
      ALECS=.FALSE.                                                     00100 
32756 ALE=ALECS                                                         00103 
      CHC=CHCMNT                                                        00104 
      RETURN                                                            00106 
      END                                                               00107 
